package com.liang.mapper;

import com.liang.domain.User;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @PROJECT_NAME: springboot-leaning
 * @USER: yuliang
 * @DESCRIPTION:
 * @DATE: 2021-06-30 16:37
 */
@Mapper
public interface UserMapper {

    int getTotalCount();

    User getUser(Integer userId);

    int insertUser(User u);

    List<User> getUsers();

    int updateUserNameById(Integer userId, String name);

    int deleteUser(Integer userId);

    int updateUser(User user);
}
